# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# ProcessSequence Class Reference

Class to carry out instrumentation on sequence.

`#include <process_sequence.h>`

Collaboration diagram for ProcessSequence:

[legend]

List of all members.

## Public Member Functions

- ProcessSequence (OverlayParams &, FileStreamInput &, FileStreamOutput &, std::ifstream &, bool, int, SeqParams &)
    Constructor.
- ~ProcessSequence ()
    Destructor.
- void DoSequence (int, int)
    DoSequence.

## Private Member Functions

- bool DoFrame ()
    DoFrame.
- void AddFrameEntry ()
    AddFrameEntry.

## Private Attributes

- OverlayParams & m_oparams
    Command-line overlay options.
- FileStreamInput & m_inputpic
    Input picture.
- FileStreamOutput & m_outputpic
    Output picture.
- bool m_verbose
    True for user output during process.
- std::ifstream & m_data_in
    Overlay data input stream.
- OneDArray< me_data_entry > m_data_array
    Data array.
- int m_data_fnum
    Frame numbers of process and overlay data.
- int m_process_fnum
- bool used_frame_data
    Read input frame data signal.
- SeqParams & m_seqparams
    Output sequence parameters.

## Constructor & Destructor Documentation

ProcessSequence::ProcessSequence | ( | OverlayParams & | ,
|  | FileStreamInput & | ,
|  | FileStreamOutput & | ,
|  | std::ifstream & | ,
|  | bool | ,
|  | int | ,
|  | SeqParams & |  |
| ) |  |  |

ProcessSequence::~ProcessSequence | ( |  | ) | `[inline]`

## Member Function Documentation

void ProcessSequence::DoSequence | ( | int | ,
|  | int |  |
| ) |  |  |

bool ProcessSequence::DoFrame | ( |  | ) | `[private]`

void ProcessSequence::AddFrameEntry | ( |  | ) | `[private]`

## Member Data Documentation

OverlayParams& ProcessSequence::m_oparams `[private]`

FileStreamInput& ProcessSequence::m_inputpic `[private]`

FileStreamOutput& ProcessSequence::m_outputpic `[private]`

bool ProcessSequence::m_verbose `[private]`

std::ifstream& ProcessSequence::m_data_in `[private]`

OneDArray<me_data_entry> ProcessSequence::m_data_array `[private]`

int ProcessSequence::m_data_fnum `[private]`

int ProcessSequence::m_process_fnum `[private]`

bool ProcessSequence::used_frame_data `[private]`

SeqParams& ProcessSequence::m_seqparams `[private]`

The documentation for this class was generated from the following file:

- process_sequence.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.